Recent

Author Topic: lclextensions-0.5.zip wont compile on Linux Mint 14  (Read 3327 times)

snorkel

  • Hero Member
  • *****
  • Posts: 810
lclextensions-0.5.zip wont compile on Linux Mint 14
« on: November 26, 2012, 06:01:30 am »
Hi,
I installed 32bit Laz 1.0.2 from the deb files, installed fine.
Went to grab the latest VirtualTreeview and the  lclextensions-0.5.zip, and when
I compile the extensions I get this:

/lclextensions-0.5/include/gtk2/delphicompat.inc(95,26) Error: Identifier not found "TGtk2DeviceContext"

Lazarus is using the GTK2 widget set.  If I change all references to TGtkDeviceContext it compiles and I can install the virtualtreeview, but once on the form it
cannot be dragged around.

I did a google search on this and nothing for VT came up, just some graphics lib from a couple of months ago.

This worked fine with the older 0.4 extensions.
***Snorkel***
If I forget, I always use the latest stable 32bit version of Lazarus and FPC. At the time of this signature that is Laz 2.06 and FPC 3.0.4
OS: Windows 10 64 bit

BigChimp

  • Hero Member
  • *****
  • Posts: 5740
  • Add to the wiki - it's free ;)
    • FPCUp, PaperTiger scanning and other open source projects
Re: lclextensions-0.5.zip wont compile on Linux Mint 14
« Reply #1 on: November 26, 2012, 08:12:58 am »
Try with laz trunk, it may work. IIRC, there were fixes in Lazarus SVN to deal with this.
Want quicker answers to your questions? Read http://wiki.lazarus.freepascal.org/Lazarus_Faq#What_is_the_correct_way_to_ask_questions_in_the_forum.3F

Open source including papertiger OCR/PDF scanning:
https://bitbucket.org/reiniero

Lazarus trunk+FPC trunk x86, Windows x64 unless otherwise specified

LuizAmérico

  • Sr. Member
  • ****
  • Posts: 458
Re: lclextensions-0.5.zip wont compile on Linux Mint 14
« Reply #2 on: November 26, 2012, 04:36:56 pm »

 

TinyPortal © 2005-2018